マンガでよめる痔のこと・薬のこと

こんにちわ。
いつも活用させていただいています。

当方、Mac OS 10.5.8 を使っています。
ターミナルを利用して、swfmillとゆうプログラムをインストールを行おうとしています。
いろいろなサイトを参考にして試してみたのですがうまくいきません。。
参考サイト(http://www.plusmb.jp/2008/12/05/1510.html)に記載されているとおり「wget」や「configure」、「make」といったコマンドを使ったのですが、ほとんどcommand not found と表示されまったくうまくいきません。。

本当に困っております。。
どなかたお詳しいかたご教授お願い致します!

このQ&Aに関連する最新のQ&A

A 回答 (4件)

No.1から3まで思考錯誤していますが、結論として


http://swfmill.org/
からバイナリを入手し、試してみてください。
動かなければそのときに、不足しているものをインストルするということで
    • good
    • 0
この回答へのお礼

お礼遅くなってしまいすいませんでした!

大変助かりました!

有り難うございました!!

お礼日時:2012/02/26 00:45

たびたびすみません。

追加情報です。
OSX10.7.2でのテストですが、多分10.5でも同じだと思います。
swfmill-0.3.2-macosx.tar.gzを解凍して、
cd 解凍してできたフォルダ名
otool -L swfmill
としてみてください。
/usr/lib/libexslt.0.dylib (compatibility version 9.0.0, current version 9.10.0)
/usr/lib/libxslt.1.dylib (compatibility version 3.0.0, current version 3.12.0)
/usr/lib/libxml2.2.dylib (compatibility version 9.0.0, current version 9.16.0)
(後略)
のように出力されます。これらは必要なライブラリの場所を表示しています。
もし見つからなければnot foundのような表示になるはずです。
私自身はこれらのライブラリをインストールした意識はないので、最初から入っていたか、Xcodeと一緒にインストールされた可能性はあります。もしエラーがでるようでしたらXcodeだけでもインストールされてみてはいかがでしょうか。
    • good
    • 0

No.1の訂正です。

すみません。
swfmill-0.3.2-macosx.tar.gz
はバイナリになっているようです。ただし、Intelのみ対応のようです。
OSXの対応バージョンはわかりません。PowerPCであったり、対応していないバージョンでしたら、ソースコードをコンパイルしてインストールします。(古いバージョンのバイナリを試してみるという手もあります)
必要なライブラリはそれに含まれているとは書いていないのですが、動かしてみてライブラリがないとかのエラーがでたら、
自分でインストールする必要があります。
必要なライブラリはREADME.txtのDEPENDENCIESに書かれています。
後はNo.1に書いた通りです。
    • good
    • 0

要するに必要なソフトウエアが入っていないといけません。


リンクされているサイトはLinux用ですので、そのままでは駄目ですし、かなり古い情報ですのでLinuxでもそのまま適用できるかはわかりません。

まず、
http://swfmill.org/
を見てください。MacOSX用のソースがありますので、それをダウンロードします。ドキュメントなどを見て、10.5.8 に対応しているか確認してください。もし対応していないなら、古いバージョンを探してみます。
ソースコードになっていますので、コンパイラが必要です。もしXcodeが入っていなければインストールしてください。これにはコンパイラや必要なソフトが含まれています。
http://developer.apple.com/xcode/
Xcode(10.5.8で使える最新のもの)を探してインストルしてください。
ログインはiTunesなどと同じid、パスワードが使えるはずですが、

それでもxmlライブラリなどはたぶんインストールされていないでしょうから、追加でインストールします。
finkやMacPortsなどのパッケージ管理ソフトを使ってインストールするのが定番です。
その後に、swfmillします。依存関係があるソフトが全部インストールされてなければ、エラーが出て止まるか、その機能が使えない可能性があります。ビルド時のメッセージで判断します。
    • good
    • 0

このQ&Aに関連する人気のQ&A

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング